﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace rbcom {
    class AddCommand : rbcom.Command {

        public AddCommand() : base() {
            this.Usage = String.Format("USAGE: {0} [options] <RUBY_PATH> [<RUBY_PATH>...]", this.Name);
            this.Description = @"管理するRubyを追加します.
RUBY_PATHは実際のRubyまでのフルパスです.
対象のファイルは --version オプションをサポートしている必要があります.";

            this.Footer = @"
実行例：
    :: ヘルプの表示
    rbcom-add --help

    :: Rubyの追加
    rbcom-add E:\Ruby\Ruby193\bin\ruby.exe
";
        }

        protected override bool Invoke(string[] argv) {
            foreach (string arg in argv) {
                rbcom.RubyProgram ruby = this.Rubies.Add(arg);

                if (ruby != null) {
                    System.Console.WriteLine("Added {0}", ruby);
                }
            }
            return true;
        }

        protected override bool Validate(string[] args) {
            return (args.Count() > 0);
        }

        public static void Main(string[] args) {
            Run(new AddCommand(), args);
        }

    }
}
